Back to Platform

POST /email/templates

POST
/email/templates

POST operation for /email/templates

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://dev-rest.onboard.io/email/templates" \  -H "Content-Type: application/json" \  -d '{    "template_type": "invite_member",    "custom_template_name": "string",    "display_name": "string",    "subject_line": "string",    "from_name": "string",    "from_email": "[email protected]",    "html": "string",    "design": {},    "default": true,    "is_enabled": true,    "is_scheduled": true,    "send_time": "string",    "days_to_send": {}  }'
{
  "id": 1,
  "template_type": "invite_member",
  "custom_template_name": "string",
  "display_name": "string",
  "subject_line": "string",
  "from_name": "string",
  "from_email": "[email protected]",
  "html": "string",
  "design": {},
  "default": true,
  "is_enabled": true,
  "is_scheduled": true,
  "send_time": "string",
  "days_to_send": {},
  "last_sent": "2021-01-01T00:00:00Z",
  "next_scheduled": "2021-01-01T00:00:00Z",
  "last_modified_date": "string",
  "last_modified_user": "string",
  "merge_tags": "string",
  "preview_html": "string"
}
Empty
Empty
Empty

How is this guide?